library: libGeom #include "TGeoPatternFinder.h"

# TGeoPatternCylPhi

class description - source file - inheritance tree (.pdf)

## class TGeoPatternCylPhi : public TGeoPatternFinder

| Inheritance Chart:

`TObject`

<-

`TGeoPatternFinder`

<-

`TGeoPatternCylPhi`

        public:

                             TGeoPatternCylPhi()
                             TGeoPatternCylPhi(TGeoVolume* vol, Int_t ndivisions)
                             TGeoPatternCylPhi(TGeoVolume* vol, Int_t ndivisions, Double_t step)
                             TGeoPatternCylPhi(TGeoVolume* vol, Int_t ndivisions, Double_t start, Double_t end)
                             TGeoPatternCylPhi(const TGeoPatternCylPhi&)
                     virtual ~TGeoPatternCylPhi()
                virtual void cd(Int_t idiv)
              static TClass* Class()
           virtual TGeoNode* FindNode(Double_t* point)
             virtual TClass* IsA() const
          TGeoPatternCylPhi& operator=(const TGeoPatternCylPhi&)
                virtual void SavePrimitive(ofstream& out, Option_t* option)
                virtual void ShowMembers(TMemberInspector& insp, char* parent)
                virtual void Streamer(TBuffer& b)
                        void StreamerNVirtual(TBuffer& b)

### Data Members

        private:

          Double_t* fSinCos  ![2*fNdivisions] table of sines/cosines

## Class Description

TGeoPatternCylPhi()

     Default constructor

TGeoPatternCylPhi(TGeoVolume *vol, Int_t ndivisions) :TGeoPatternFinder(vol, ndivisions)

     constructor
     compute step, start, end

TGeoPatternCylPhi(TGeoVolume *vol, Int_t ndivisions, Double_t step) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternCylPhi(TGeoVolume *vol, Int_t ndivisions, Double_t start, Double_t end) :TGeoPatternFinder(vol, ndivisions)

     constructor

~TGeoPatternCylPhi()

     Destructor

void cd(Int_t idiv)

TGeoNode* FindNode(Double_t *point)

     find the node containing the query point

void SavePrimitive(ofstream &out, Option_t * /*option*/)

     Save a primitive as a C++ statement(s) on output stream "out".

### Inline Functions

                       TClass* Class()
                       TClass* IsA() const
                          void ShowMembers(TMemberInspector& insp, char* parent)
                          void Streamer(TBuffer& b)
                          void StreamerNVirtual(TBuffer& b)
             TGeoPatternCylPhi TGeoPatternCylPhi(const TGeoPatternCylPhi&)
            TGeoPatternCylPhi& operator=(const TGeoPatternCylPhi&)

Author: Andrei Gheata 30/10/01
Last update: root/geom:$Name: $:$Id: TGeoPatternFinder.cxx,v 1.12 2005/02/28 20:52:43 brun Exp $